/* tempConversion.cpp displays a temperature in Fahrenheit,
 * Celsius, and Kelvin, using class Temperature.
 *
 *  Input:  an arbitrary Temperature
 *  Output: its Fahrenheit, Celsius and Kelvin equivalents
 ****************************************************************/

#include <iostream>                             // cin, cout
using namespace std;
#include "Temperature.h"                        // Temperature

int main()
{
   cout << "This program shows the Fahrenheit, Celsius, and\n"
           "Kelvin equivalents of a temperature.\n\n";

   char response;
 Temperature theTemperature;                    // construction

   do
   {
      cout << "Enter a temperature (e.g., 98.6 F): ";
 
      theTemperature.read(cin);                  // input

      cout << "--> ";                            // output
      theTemperature.inFahrenheit().print(cout); 
      cout << " == ";
      theTemperature.inCelsius().print(cout);
      cout << " == ";
      theTemperature.inKelvin().print(cout);
      cout << endl;

      cout << "\nDo you have more temperatures to convert? ";
      cin >> response;
   }
   while (response == 'Y' || response == 'y');
}
